View Issue Details

IDProjectCategoryView StatusLast Update
0000405MetaPostfeature requestpublic2010-10-19 10:13
ReporterTacoAssigned ToTaco 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version1.211 
Target Version1.212Fixed in Version1.212 
Summary0000405: support openin_any / openout_any settings
DescriptionCode is still missing
TagsNo tags attached.

Activities

Taco

2010-05-28 08:52

administrator   ~0000547

More notes from Karl (quoted text is me):

> It still needs to run tex for label typesetting; that is the
> only external command it runs (unless the user changes $MPXCOMMAND
> explicitly, then all bets are off).

More thoughts for the tracker item on putting mp into shell_escape_commands:

- somehow have to arrange to ensure tex is invoked with paranoid
  settings -- we don't enable tex itself, at present.

- probably need to arrange that MPXCOMMAND is not read from anywhere,
  but just uses a hardwired default.

We can think more about this over the year. Heiko and/or Alexander
Cherepanov sent several messages to tex-live regarding enabling tex back
in fall 2009 when we were first thinking to enable restricted \write18.

Thanks,
k

Taco

2010-10-19 09:32

administrator   ~0000648

in revision 1421/1422

Issue History

Date Modified Username Field Change
2010-05-26 07:33 Taco New Issue
2010-05-26 07:33 Taco Status new => assigned
2010-05-26 07:33 Taco Assigned To => Taco
2010-05-28 08:52 Taco Note Added: 0000547
2010-10-13 14:28 Taco Target Version => 2.000
2010-10-17 12:27 Taco Target Version 2.000 => 1.212
2010-10-19 09:32 Taco Note Added: 0000648
2010-10-19 09:32 Taco Status assigned => resolved
2010-10-19 09:32 Taco Resolution open => fixed
2010-10-19 10:13 Taco Fixed in Version => 1.212
2010-10-19 10:13 Taco Status resolved => closed